Subject: Re: [core-updates-frozen PATCH v2 00/17] Fix Julia on i686-linux.
From: Efraim Flashner <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 4 Dec 2021 19:54:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Dec 01, 2021 at 04:52:56PM +0100, zimoun wrote:
> Hi,
> 
> This series allow the julia package itself to build on i686-linux.  Then, it
> fixes julia-* packages for i686-linux.  Note that julia and julia-* are
> currently broken on master for i686-linux.
> 
> Both julia and julia-* are not impacted on x86_64 by  these changes.
> 
> These packages are still broken…
> 
>    /gnu/store/h97dzpkn7h4fxhl8xag8s7cfypg1l96d-julia-sundials-jll-5.2.1+0.drv
>    /gnu/store/q489ygk7y0y3xxcyi1c72c9lwrvgkfvd-sundials-julia-5.2.0.drv
>    /gnu/store/7g5443kq028lv44f0kdj5p14w5xcx9c4-julia-pyplot-2.10.0.drv
>    /gnu/store/iy5liqrkdlvvx6bmiczxxi5zmyj4999v-julia-pycall-1.92.5.drv
>    /gnu/store/x2na68r5qbyhnilmqpi50sr3iwf9y2fd-julia-gr-0.58.1.drv
> 
> …but, IMHO, they can wait another round.  Only pycall (so pyplot) and gr are
> failing on core-updates-frozen only.  The 2 other (sundials) are currently
> broken on master.
> 
> 
> Cheers,
> simon
> 

I made a couple of changes, mostly to use target-x86-32? and
target-64bit?. Patches pushed! Thanks.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted